/**
 * Copyright (c) 2021 Dominic Masters
 * 
 * This software is released under the MIT License.
 * https://opensource.org/licenses/MIT
 */

#include "look.h"


void _pokerGameActionLookOnStart(
  queue_t *queue, queueaction_t *action, uint8_t i
) {

  printf("Looking at %u\n", (uint8_t)action->data);
  pokerWorldLookAtPlayer(action);
  queueNext(queue);
}

queueaction_t * pokerGameActionLookAdd(pokergame_t *game, uint8_t playerIndex) {
  queueaction_t *action = pokerGameActionAdd(game);
  action->onStart = &_pokerGameActionLookOnStart;
  return action;
}